.vacancies {
    padding: 182px 0 30px;
    background: #EEEEEE;
    overflow: hidden;
}

.vacancies__container {
    max-width: 1398px;
    margin: 0 auto;
    padding: 0 20px;
}

.vacancies__head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 24px;
    margin-bottom: 40px;
}

.vacancies__title {
    margin: 0;
    color: #1C1C1C;
    font-weight: 400;
    font-size: 54px;
    line-height: 62px;
    text-align: center;
}

.vacancies__all {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-height: 44px;
    padding: 10px 18px;
    border: 1px solid #d8d8d8;
    border-radius: 10px;
    background: transparent;
    font-weight: 400;
    font-size: 16px;
    line-height: 1;
    color: #1f1f1f;
    text-decoration: none;
    transition: all 0.3s ease;
}

.vacancies__all:hover {
    background: #ffffff;
}

.vacancies .vacancies__grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

@media (max-width: 1024px){
    .vacancies .vacancies__grid{
        gap: 0;
        padding: 0 0 42px 0;
    }
}

.vacancies__card {
    min-height: 360px;
    padding: 30px;
    background: #FFFFFF;
    border-radius: 12px;
    display: flex!important;
    flex-direction: column;
    justify-content: space-between;
    border: 1px solid #EEEEEE;
}

.vacancies__top {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.vacancies__tags {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.vacancies__tag {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-height: 20px;
    padding: 3px 10px;
    border: 1px solid #EEEEEE;
    border-radius: 20px;
    color: #575757;
    font-weight: 400;
    font-size: 11px;
    line-height: 18px;
    text-transform: uppercase;
}

.vacancies__card-title {
    margin: 0;
    color: #000000;
    font-weight: 400;
    font-size: 36px;
    line-height: 44px;
}

.vacancies__bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 16px;
    margin-top: auto;
}

.vacancies__link {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    color: #D41028;
    text-decoration: none;
    transition: opacity 0.3s ease;
    font-family: Geist;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
}

.vacancies__link:hover {
    opacity: 0.7;
}

.vacancies__socials {
    display: flex;
    align-items: center;
    gap: 8px;
}

.vacancies__social {
    width: 36px;
    height: 36px;
    border-radius: 50%;
    background: #EEEEEE;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    transition: all 0.3s ease;
}

.vacancies__social:hover {
    background: #d4d4d4;
}


.vacancies__pagination .swiper-pagination-bullet{
    background-color: #575757;
    border: none;
    opacity: 0.4;
    width: 6px;
    height: 6px;
    margin: 0 3px !important;
}

.vacancies__pagination .swiper-pagination-bullet.swiper-pagination-bullet-active{
    width: 18px;
    opacity: 1;
}


@media (max-width: 1024px) {
    .vacancies {
        padding: 40px 0 80px;
    }

    .vacancies__container {
        padding: 0 16px;
    }

    .vacancies__head {
        flex-direction: column;
        align-items: flex-start;
        margin-bottom: 21px;
    }

    .vacancies__title {
        font-size: 46px;
        line-height: 44px;
    }

    .vacancies__all {
        display: none;
    }

    .vacancies .vacancies__slider{
        overflow: visible;
    }
    

    .vacancies__grid {
        gap: 16px;
        grid-template-columns: 1fr;
    }

    .vacancies__card {
        min-height: 440px;
        display: flex !important;
        flex-direction: column;
    }

    .vacancies__top {
        gap: 16px;
    }

    .vacancies__bottom{
        margin-top: inherit;
    }

    .vacancies__card-title {
        font-size: 24px;
    }

    .vacancies__link {
        font-size: 18px;
    }

    .vacancies__social {
        width: 32px;
        height: 32px;
        font-size: 14px;
    }
}